function Debug() 
{
	if (window === this) 
	{
		return new Debug();
	}
	
	return this;
}

Debug.On = function()
{
	return true;
};

Debug.SystemOn = function()
{
	return false;
};

Debug.Log = function(message)
{
	if (this.On())
	{
		console.log(message);
	}
};

Debug.SystemLog = function(message)
{
	if (this.SystemOn())
	{
		console.log(message);
	}
};

Debug.ActiveLog = function(message)
{
	console.log(message);
};

Debug.StackTrace = function()
{
	var e = new Error('dummy');
	var stack = e.stack.replace(/^[^\(]+?[\n$]/gm, '')
	      .replace(/^\s+at\s+/gm, '')
	      .replace(/^Object.<anonymous>\s*\(/gm, '{anonymous}()@')
	      .split('\n');
	this.Log(stack);
};