function AndroidPushCallback()
{
	cordova.exec(window.plugins.microtek.apidCallback, 
	             window.plugins.microtek.apidCallback, 
	             'MicrotekPlugin',
	             'apidCallBack',
	             []);	
}

var Microtek = function() {

};

Microtek.prototype.brainTreePP = function(token, success, fail)
{
	cordova.exec(success, fail, "BraintreeCordovaPlugin", "init",[token]);
};

Microtek.prototype.brainTreeCD = function(token, sandbox, success, fail)
{
	cordova.exec(success, fail, "BraintreeCordovaPlugin", "collectData",[token, sandbox]);
};

Microtek.prototype.showMap = function(success, fail) {
	cordova.exec(
    		null,           // called when signature capture is successful
    		null,           // called when signature capture encounters an error
           'MicrotekPlugin',  // Tell PhoneGap that we want to run "PushNotificationPlugin"
           'showMaps',        // Tell the plugin the action we want to perform
           []);
};

//call this to register for push notifications
Microtek.prototype.registerCallback = function(success, fail) {
	cordova.exec(
    		AndroidPushCallback,           // called when signature capture is successful
    		AndroidPushCallback,           // called when signature capture encounters an error
           'MicrotekPlugin',  // Tell PhoneGap that we want to run "PushNotificationPlugin"
           'registerCallback',        // Tell the plugin the action we want to perform
           []);
};

// [ Obsolete ]
Microtek.prototype.notificationCallback = function(json) {    
};

//[ Obsolete ]
Microtek.prototype.apidCallback = function(apid) {    		
};

//[ Obsolete ]
Microtek.prototype.mapsCallback = function(lat, lon) {	
};

//[ Obsolete ]
Microtek.prototype.mapsCloseCallback = function(lat, lon) {	
};

Microtek.prototype.genericMsgCallback = function(action, json) {			
	if ($.callbacks.msg_receive_callback != null)
	{
		$.callbacks.msg_receive_callback(action, json);
	}
};

Microtek.prototype.genericMsg = function(action, msg) {
	cordova.exec(
    		null,           // called when signature capture is successful
    		null,           // called when signature capture encounters an error
           'MicrotekPlugin',  // Tell PhoneGap that we want to run "PushNotificationPlugin"
           'genericMsg',        // Tell the plugin the action we want to perform
           [action, msg]);
};

/**
 * Maintain API consistency with iOS
 */
Microtek.prototype.install = function(){
};


function initMicrotekPlugin()
{
	initPushNotificationPlugin();
	
	if(!window.plugins) {
	    window.plugins = {};
	}
	if (!window.plugins.microtek) {
	    window.plugins.microtek = new Microtek();
	} 
}
