var Microtek = function(){
	cordova.exec(null, null, "Microtek", "init",[]);	    
};

/**
 * Generate new UUID
 */
Microtek.prototype.isGPSEnabled = function(success, fail){
  cordova.exec(success, fail, "Microtek", "isGPSEnabled", []);
};

Microtek.prototype.brainTreePP = function(token, success, fail)
{
	cordova.exec(success, fail, "BraintreeCordovaPlugin", "init",[token]);
};

Microtek.prototype.brainTreeCD = function(token, sandbox, success, fail)
{
    cordova.exec(success, fail, "BraintreeCordovaPlugin", "collectData",[token, sandbox ? "true" : "false"]);
};

/**
 * Return UUID stored in NSDefaults
 */
Microtek.prototype.isNotificationEnabled = function(success, fail){
  cordova.exec(success, fail, "Microtek", "isNotificationEnabled", []);
};

Microtek.prototype.genericMsg = function(action, msg) {	
	cordova.exec(this.genericMsgCallback, 
			this.genericMsgCallback, 
			"Microtek", 
			"genericMsg", 
			[action, JSON.stringify(msg)]);
};

Microtek.prototype.genericMsgCallback = function(dic) {			
	if ($.callbacks.msg_receive_callback != null)
	{
		$.callbacks.msg_receive_callback(dic[0], dic[1]);
	}
};

function initMicrotekPlugin()
{
  //initPushNotificationPlugin();
	
  if (!window.plugins){
    window.plugins = {};
  }

  window.plugins.microtek = new Microtek();  
}
