function Confirm() 
{
	if (window === this) 
	{
		return new Confirm();
	}
	
	return this;
}

Confirm.full = function(content, callback, title, button) 
{
	  if ('notification' in navigator && 'confirm' in navigator.notification && !Agent.isBrowser())
	  {
		  navigator.notification.confirm(content, callback, title, button);
	  }
	  else
	  {
		  if (window.confirm(content))
		  {
			  callback(1);
		  }
		  else
		  {
			  callback(2);
		  }
	  }
};

Confirm.show = function(content, callback, title)
{	
   Confirm.full(content, callback, title, ['Ok','Cancel']); 
};