$.filer = $.extend({
	set: function($key, $value)
	{
		localStorage.setItem($key, $value);	
	},
	del: function($key)
	{
		localStorage.removeItem($key);
	},
	get: function($key)
	{
		return localStorage.getItem($key);
	},
	has: function($key, $value)
	{
		var $v = $.filer.get($key);
		
		return ($v !== null && $v !== '');
	},
	clear: function()
	{
		localStorage.clear();
	},
	keep_and_clear: function(_key)
	{
		var value = ($.filer.has(_key) ? $.filer.get(_key) : null);		
		$.filer.clear();
		if (value !== null)
		{
			$.filer.set(_key, value);
		}
	}
}, $.filer);