var FontSize = (function(_map, filer) 
{
	var context = {};
	
	var map = _map;
	
	context.updateMap = function(_map)
	{
		map = _map;
	};
	
	context.set = function(factor)
	{
		var newFontSize;	  	  

		for(var key in map)
		{		  			  
			if (filer.has(key))
			{
				newFontSize = parseFloat(filer.get(key), 10) * factor;			
			}
			else
			{					  			  
				if ($(map[key].field).length > 0)
				{				  
					newFontSize = parseFloat($(map[key].field).css('font-size'), 10) * factor;				  
				}
				else
				{
					newFontSize = parseFloat(map[key].df, 10) * factor;
				}			  
			}

			if (newFontSize < map[key].min)
			{
				newFontSize = map[key].min;
			}
			else if (newFontSize > map[key].max)
			{
				newFontSize = map[key].max;
			}

			filer.set(key, newFontSize);		  
		}	 

		this.apply();
	};
	
	context.apply = function()
	{
		for(var key in map)
		{
			if ($(map[key].field).length > 0)
			{			  
				$(map[key].field).css('cssText', 'font-size: ' + filer.get(key) + 'px !important');
			}
		}
	};
	
	context.increase = function()
	{
		this.set(1.2);	 
	};
	
	context.decrease = function()
	{
		this.set(0.8);	 
	};
	
	return context;
})({'grid_9_font_size': {field : '.grid_9', df : 16, min : 14, max : 26}}, $.filer);