var last_click_time = new Date().getTime();
document.addEventListener('click', function(e)
{    
	var click_time = new Date().getTime();
	if (click_time && (click_time - last_click_time) < 200)
	{
		e.stopPropagation();
		if (e.stopImmediatePropagation)
		{
			e.stopImmediatePropagation();
		}
		e.preventDefault();
		return false;
	}
	last_click_time = click_time;
	return true;
}, true);