(function(m) {
    function u(b) {
        var a = !1,
            f = "",
            d = 0,
            e = 1,
            g = {}, h = [],
            i = [],
            k = function(a) {
                if (c.isString(a)) {
                    var d = c.trim(c.asString(a));
                    if (d) {
                        if (c.stringTooLong(b, d, 1E3)) return null;
                        var a = "eq_" + a,
                            f = g[a];
                        f || (f = {
                            featureName: d,
                            sessionHitCount: 0,
                            timingStart: 0
                        }, g[a] = f);
                        return f
                    }
                    return null
                }
            }, q = function() {
                i = [];
                h = []
            };
        return {
            addFeatureUsage: function(a) {
                if (a = k(a)) a.sessionHitCount += 1, e++
            },
            startFeatureTiming: function(a) {
                if ((a = k(a)) && !(0 < a.timingStart)) a.timingStart = c.getTimeStamp()
            },
            endFeatureTiming: function(a) {
                if ((a =
                    k(a)) && 0 !== a.timingStart) {
                    var b = c.getTimeStamp(),
                        f = b - a.timingStart;
                    a.timingStart = 0;
                    h.push({
                        name: a.featureName,
                        value: f,
                        type: 1,
                        runtime: b - d
                    });
                    e++
                }
            },
            cancelFeatureTiming: function(a) {
                if (a = k(a)) a.timingStart = 0
            },
            addFeatureValue: function(a, b) {
                var f = c.trim(c.asString(a));
                if (f && c.isNumber(b)) {
                    var g = c.getTimeStamp();
                    h.push({
                        name: f,
                        value: b,
                        type: 0,
                        runtime: g - d
                    });
                    e++
                }
            },
            addException: function(a, f) {
                if (a) {
                    var g = c.asString(f),
                        h = c.getTimeStamp(),
                        q = "",
                        k = a.name || typeof a,
                        l = a.message || a.name || "";
                    try {
                        q = c.stackTrace({
                            e: a
                        })
                    } catch (j) {
                        c.error(b,
                            "could not format stacktrace: " + j.message)
                    }
                    10 < i.length && (c.logMessage(b, "removing oldest exception"), i.pop());
                    i.push({
                        type: k,
                        message: l,
                        runtime: h - d,
                        info: g,
                        stacktrace: q
                    });
                    e++
                }
            },
            setInstallationID: function(a) {
                if (!c.stringTooLong(b, a, 50) && (a = c.asString(a))) f = a, e++
            },
            reset: q,
            clear: function() {
                q();
                g = {}
            },
            getPayload: function() {
                var b = [],
                    c;
                for (c in g)
                    if (g.hasOwnProperty(c)) {
                        var d = g[c];
                        d.sessionHitCount && b.push({
                            name: d.featureName,
                            sessionHitCount: d.sessionHitCount
                        })
                    }
                return {
                    installationId: f,
                    stopped: a ? "0" : "1",
                    features: b,
                    exceptions: i,
                    featurevalues: h
                }
            },
            startTime: d,
            version: function() {
                return e
            },
            startSession: function() {
                d = c.getTimeStamp();
                a = !0
            },
            stopSession: function() {
                a = !1
            }
        }
    }
    var c = {
        isFunction: function(b) {
            return b && "function" === typeof b
        },
        callIfFunction: function(b) {
            try {
                c.isFunction(b) && b()
            } catch (a) {}
        },
        isString: function(b) {
            return b && "string" === typeof b
        },
        asString: function(b) {
            var a = "";
            b && (a = c.isFunction(b) ? c.asString(b()) : b.toString());
            return a
        },
        trim: function(b) {
            return b ? !String.prototype.trim ? b.replace(/^\s\s*/, "").replace(/\s\s*$/,
                "") : b.trim() : ""
        },
        getTimeStamp: function() {
            return (new Date).getTime()
        },
        isNumber: function(b) {
            return "number" === typeof b
        },
        parseURL: function(b) {
            for (var a = "source protocol authority userInfo user password host port relative path directory file query anchor".split(" "), c = {}, d = 14, b = /^(?:(?![^:@]+:[^:@\/]*@)([^:\/?#.]+):)?(?:\/\/)?((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?)(((\/(?:[^?#](?![^?#\/]*\.[^?#\/.]+(?:[?#]|$)))*\/?)?([^?#\/]*))(?:\?([^#]*))?(?:#(.*))?)/.exec(b); d--;) c[a[d]] = b[d] || "";
            return c
        },
        getServerUri: function(b, a, f) {
            if (f && c.isString(f)) try {
                var d = c.parseURL(f);
                if (d && d.host) return (d.protocol ? d.protocol + "://" : "//") + d.host + (d.port ? ":" + d.port : "") + "/json.ashx";
                c.log(b, "Could not parse serverUri to valid format:" + f)
            } catch (e) {
                c.log(b, "unable to parse serverUri to valid format:" + f)
            }
            b = "https";
            window && (window.location && "https:" != window.location.protocol) && (b = "http");
            return b + "://" + a + ".monitor-eqatec.com/json.ashx"
        },
        log: function(b, a) {
            try {
                b && (c.isFunction(b.logMessage) && a && c.isString(a)) && b.logMessage(a)
            } catch (f) {}
        },
        error: function(b, a) {
            try {
                b && (c.isFunction(b.logError) && a && c.isString(a)) && b.logError(a)
            } catch (f) {}
        },
        getInfo: function(b) {
            var a = {}, f = navigator,
                d = screen,
                e = document;
            a.screen = d ? d.width + "x" + d.height : "-";
            a.depth = d ? d.colorDepth + "-bit" : "-";
            a.language = (f && (f.language || f.userLanguage) || "-").toLowerCase();
            a.characterSet = e.characterSet || e.charset || "-";
            try {
                var g = e.documentElement,
                    h = e.body,
                    i = h && h.clientWidth && h.clientHeight,
                    f = [];
                g && (g.clientWidth && g.clientHeight && ("CSS1Compat" === e.compatMode || !i) ? f = [g.clientWidth,
                    g.clientHeight
                ] : i && (f = [h.clientWidth, h.clientHeight]));
                a.clientsize = f.join("x")
            } catch (k) {
                c.error(b, "Unable to read browser info: " + k.message)
            }
            return a
        },
        generateId: function() {
            for (var b = void 0, a = void 0, a = b = ""; 36 > b++; a += 51 * b & 52 ? (b ^ 15 ? 8 ^ Math.random() * (b ^ 20 ? 16 : 4) : 4).toString(16) : "-");
            return a
        },
        setCookie: function(b, a, f, d, e) {
            var g = document;
            g && (b = b + "=" + a + ";path=" + f + ";", d && 0 < d && (d = new Date(c.getTimeStamp() + d), b += "expires=" + d.toUTCString() + ";"), e && (b += "domain=" + e + ";"), g.cookie = b)
        },
        getCookie: function(b) {
            var a =
                document.cookie.split(";"),
                f;
            for (f = 0; f < a.length; f++) {
                var d = a[f].split("=");
                if (2 == d.length) {
                    var e = c.trim(d[0]);
                    if (b === e) return c.trim(d[1])
                }
            }
            return null
        },
        parseCookieStringToLiteral: function(b) {
            if (b && (b = b.split("."), 2 == b.length)) return {
                first: b[0],
                second: b[1]
            }
        },
        setTimeout: function(b, a) {
            try {
                if (c.isFunction(b) && c.isNumber(a)) return m.setTimeout(b, a)
            } catch (f) {}
            return 0
        },
        clearTimeout: function(b) {
            try {
                c.isNumber(b) && m.clearTimeout(b)
            } catch (a) {}
        },
        cookiesEnabled: function() {
            try {
                var b = navigator.cookieEnabled ? !0 : !1;
                "undefined" == typeof navigator.cookieEnabled && !b && (document.cookie = "testcookie", b = -1 != document.cookie.indexOf("testcookie") ? !0 : !1);
                return b
            } catch (a) {}
            return !1
        },
        trackingDisabled: function() {
            return !1
        },
        stringTooLong: function(b, a, f) {
            return !c.isString(a) || !c.isNumber(f) ? !0 : c.asString(a).length > f ? (c.error(b, "Input is too long: " + a), !0) : !1
        }
    };
    (function() {
        function b(a) {
            return 10 > a ? "0" + a : a
        }

        function a(a) {
            e.lastIndex = 0;
            return e.test(a) ? '"' + a.replace(e, function(a) {
                var b = i[a];
                return "string" === typeof b ? b : "\\u" +
                    ("0000" + a.charCodeAt(0).toString(16)).slice(-4)
            }) + '"' : '"' + a + '"'
        }

        function f(b, c) {
            var d, e, i, p, m = g,
                l, j = c[b];
            j && "object" === typeof j && "function" === typeof j.toJSON && (j = j.toJSON(b));
            "function" === typeof k && (j = k.call(c, b, j));
            switch (typeof j) {
                case "string":
                    return a(j);
                case "number":
                    return isFinite(j) ? "" + j : "null";
                case "boolean":
                case "null":
                    return "" + j;
                case "object":
                    if (!j) return "null";
                    g += h;
                    l = [];
                    if ("[object Array]" === Object.prototype.toString.apply(j)) {
                        p = j.length;
                        for (d = 0; d < p; d += 1) l[d] = f(d, j) || "null";
                        i = 0 === l.length ?
                            "[]" : g ? "[\n" + g + l.join(",\n" + g) + "\n" + m + "]" : "[" + l.join(",") + "]";
                        g = m;
                        return i
                    }
                    if (k && "object" === typeof k) {
                        p = k.length;
                        for (d = 0; d < p; d += 1) "string" === typeof k[d] && (e = k[d], (i = f(e, j)) && l.push(a(e) + (g ? ": " : ":") + i))
                    } else
                        for (e in j) Object.prototype.hasOwnProperty.call(j, e) && (i = f(e, j)) && l.push(a(e) + (g ? ": " : ":") + i);
                    i = 0 === l.length ? "{}" : g ? "{\n" + g + l.join(",\n" + g) + "\n" + m + "}" : "{" + l.join(",") + "}";
                    g = m;
                    return i;
                default:
                    return "" + j
            }
        }
        var d;
        d || (d = {});
        "function" !== typeof Date.prototype.toJSON && (Date.prototype.toJSON = function() {
            return isFinite(this.valueOf()) ?
                this.getUTCFullYear() + "-" + b(this.getUTCMonth() + 1) + "-" + b(this.getUTCDate()) + "T" + b(this.getUTCHours()) + ":" + b(this.getUTCMinutes()) + ":" + b(this.getUTCSeconds()) + "Z" : null
        }, String.prototype.toJSON = Number.prototype.toJSON = Boolean.prototype.toJSON = function() {
            return this.valueOf()
        });
        var e = /[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
            g, h, i = {
                "\u0008": "\\b",
                "\t": "\\t",
                "\n": "\\n",
                "\u000c": "\\f",
                "\r": "\\r",
                '"': '\\"',
                "\\": "\\\\"
            }, k;
        "function" !==
            typeof d.stringify && (d.stringify = function(a, b, c) {
                var d;
                h = g = "";
                if ("number" === typeof c)
                    for (d = 0; d < c; d += 1) h += " ";
                else "string" === typeof c && (h = c); if ((k = b) && "function" !== typeof b && ("object" !== typeof b || "number" !== typeof b.length)) throw Error("JSON.stringify");
                return f("", {
                    "": a
                })
            });
        c.encodeJSON = d.stringify
    })();
    (function() {
        function b(a) {
            a = a && a.e ? a.e : null;
            return (new b.implementation).run(a)
        }
        b.implementation = function() {};
        b.implementation.prototype = {
            run: function(a) {
                if (!a) return "";
                var b;
                if (!(b = a)) b = void 0;
                a = b;
                b = this._mode || this.mode(a);
                return "other" === b ? this.other(arguments.callee) : this[b](a)
            },
            mode: function(a) {
                return a.arguments ? this._mode = "chrome" : window.opera && a.stacktrace ? this._mode = "opera10" : a.stack ? this._mode = "firefox" : window.opera && !("stacktrace" in a) ? this._mode = "opera" : this._mode = "other"
            },
            chrome: function(a) {
                return a.stack.replace(/^[^\(]+?[\n$]/gm, "").replace(/^\s+at\s+/gm, "").replace(/^Object.<anonymous>\s*\(/gm, "{anonymous}()@").split("\n")
            },
            firefox: function(a) {
                return a.stack.replace(/(?:\n@:0)?\s+$/m,
                    "").replace(/^\(/gm, "{anonymous}(").split("\n")
            },
            opera10: function(a) {
                var a = a.stacktrace.split("\n"),
                    b = /.*line (\d+), column (\d+) in ((<anonymous function\:?\s*(\S+))|([^\(]+)\([^\)]*\))(?: in )?(.*)\s*$/i,
                    c, e, g;
                c = 2;
                e = 0;
                for (g = a.length; c < g - 2; c++)
                    if (b.test(a[c])) {
                        var h = RegExp.$6 + ":" + RegExp.$1 + ":" + RegExp.$2,
                            i = RegExp.$3,
                            i = i.replace(/<anonymous function\:?\s?(\S+)?>/g, "{anonymous}");
                        a[e++] = i + "@" + h
                    }
                a.splice(e, a.length - e);
                return a
            },
            opera: function(a) {
                var a = a.message.split("\n"),
                    b = /Line\s+(\d+).*script\s+(http\S+)(?:.*in\s+function\s+(\S+))?/i,
                    c, e, g;
                c = 4;
                e = 0;
                for (g = a.length; c < g; c += 2) b.test(a[c]) && (a[e++] = (RegExp.$3 ? RegExp.$3 + "()@" + RegExp.$2 + RegExp.$1 : "{anonymous}()@" + RegExp.$2 + ":" + RegExp.$1) + " -- " + a[c + 1].replace(/^\s+/, ""));
                a.splice(e, a.length - e);
                return a
            },
            other: function(a) {
                for (var b = /function\s*([\w\-$]+)?\s*\(/i, c = [], e = 0, g, h; a && 10 > c.length;) {
                    g = b.test(a.toString());
                    h = [];
                    try {
                        h = Array.prototype.slice.call(a.arguments), a = a.caller
                    } catch (i) {
                        a = null
                    }
                    g = g ? RegExp.$1 || "{anonymous}" : "{anonymous}";
                    c[e++] = g + "(" + this.stringifyArguments(h) + ")";
                    if (!a) break
                }
                return c
            },
            stringifyArguments: function(a) {
                for (var b = 0; b < a.length; ++b) {
                    var c = a[b];
                    void 0 === c ? a[b] = "undefined" : null === c ? a[b] = "null" : c.constructor && (c.constructor === Array ? a[b] = 3 > c.length ? "[" + this.stringifyArguments(c) + "]" : "[" + this.stringifyArguments(Array.prototype.slice.call(c, 0, 1)) + "..." + this.stringifyArguments(Array.prototype.slice.call(c, -1)) + "]" : c.constructor === Object ? a[b] = "#object" : c.constructor === Function ? a[b] = "#function" : c.constructor === String && (a[b] = '"' + c + '"'))
                }
                return a.join(",")
            }
        };
        c.stackTrace = b
    })();
    var n = m._eqatec || {};
    m._eqatec = n;
    n.createMonitor = function(b) {
        var a = 0,
            f = "",
            d = !1,
            e = {
                logError: function() {},
                logMessage: function() {}
            }, g = 0,
            h = !1,
            i = !1,
            k = 0,
            q = "",
            n = "",
            t = "",
            r = {}, v = !1,
            p = !1,
            w = "",
            l = {};
        try {
            b = b || {}, f = c.trim(c.asString(b.productId)) || "", e = b.loggingInterface || e, t = b.version, r = b.location || {}, v = c.cookiesEnabled() && b.useCookies, p = c.trackingDisabled(), w = c.getServerUri(e, f, b.serverUri), l = u(e), (32 > f.length || 36 < f.length) && c.error(e, "Invalid productId assigned, expecting between 32 and 36 characters: " + f)
        } catch (j) {
            c.log(e,
                "failed while initializing monitor")
        }
        var o = function(a) {
            try {
                !d && !a ? c.log(e, "monitor not started") : h && !a ? i = !0 : (x(a), l.reset())
            } catch (b) {
                c.log(e, "failed while calling forceSync")
            }
        }, y = function(b) {
                var d = c.getTimeStamp(),
                    h = d - a,
                    i = {
                        version: t,
                        monitorversion: "3.2.65",
                        productId: f,
                        sessionId: q,
                        startCount: k,
                        userId: n,
                        runtime: h,
                        clienttime: d,
                        starttime: a,
                        session: l.getPayload()
                    };
                r && (r.latitude && r.longitude) && (i.location = r);
                b.push("pv=4");
                b.push("mv=3.2.65");
                b.push("pi=" + encodeURIComponent(f));
                b.push("av=" + encodeURIComponent(t));
                b.push("mt=js");
                b.push("ps=" + (g + 1));
                b.push("ct=" + d);
                b.push("rt=" + h);
                0 === g && (i.info = c.getInfo(e));
                return c.encodeJSON(i)
            }, x = function(a) {
                try {
                    var b = !0 === a ? " Monitor stopped." : "";
                    c.getTimeStamp();
                    i = !1;
                    var d, f, a = [];
                    l.version();
                    f = y(a);
                    var j = "?" + a.join("&"),
                        j = w + j;
                    if (XMLHttpRequest && void 0 === d) {
                        var k = new XMLHttpRequest;
                        "withCredentials" in k && void 0 !== k.withCredentials && (k.open("POST", j, !0), k.setRequestHeader("Content-Type", "text/plain"), k.onreadystatechange = function() {
                            try {
                                if (4 == k.readyState) {
                                    h = !1;
                                    var a = c.asString(k.status);
                                    0 === a.indexOf("2") ? (g++, c.log(e, "Statistics was sent successfully (xhr)." + b)) : c.log(e, "Statistics failed to be sent: " + a);
                                    i && o()
                                }
                            } catch (d) {
                                c.error(e, "failed to handle server reply")
                            }
                        }, d = k)
                    }
                    void 0 !== m.XDomainRequest && void 0 === d && (d = new m.XDomainRequest, d.open("POST", j), d.onprogress = function() {}, d.onerror = function() {
                        h = !1;
                        c.log(e, "Statistics failed to be sent. (XDomainRequest error)")
                    }, d.onload = function() {
                        g++;
                        h = !1;
                        c.log(e, "Statistics was sent successfully (xdr)." + b);
                        i && o()
                    }, d.ontimeout = function() {
                        h = !1;
                        c.log(e, "Statistics failed to be sent. Timeout")
                    });
                    d && f ? (d.send(f), h = !0) : c.log(e, "Statistics failed to be sent. No valid request object could be created.")
                } catch (n) {
                    c.error(e, "failed to send data:" + n.message)
                }
            }, b = {
                start: function() {
                    try {
                        if (!d && !p) {
                            var b = "",
                                h = n || "",
                                i = 1,
                                j = c.getTimeStamp();
                            if (v) {
                                var m = !1,
                                    r = c.getCookie("__eqtSession"),
                                    s = c.parseCookieStringToLiteral(r);
                                s ? (b = s.first, j = parseInt(s.second)) : (b = c.generateId(f), m = !0, c.setCookie("__eqtSession", b + "." + j, "/", 0, ""));
                                var t = c.getCookie("__eqtUser");
                                (s = c.parseCookieStringToLiteral(t)) ? (h = s.first || c.generateId(f), i = parseInt(s.second) + (m ? 1 : 0)) : (h = c.generateId(f), i = 1);
                                c.setCookie("__eqtUser", h + "." + i, "/", 31536E6, "")
                            }
                            q = b || c.generateId(f);
                            n = h;
                            k = i;
                            a = j;
                            l.startSession();
                            g = 0;
                            l.clear();
                            d = !0;
                            c.log(e, "monitor has started, connecting to " + w);
                            o()
                        }
                    } catch (u) {
                        c.log(e, "failed while calling start. " + u.description)
                    }
                },
                stop: function() {
                    try {
                        d && !p && (v && c.setCookie("__eqtSession", ""), l.stopSession(), o(!0), d = !1, c.log(e, "monitor has stopped"))
                    } catch (a) {
                        c.log(e, "failed while calling stop")
                    }
                },
                setInstallationID: function(a) {
                    try {
                        l.setInstallationID(a), o()
                    } catch (b) {
                        c.log(e, "failed while calling setInstallationID")
                    }
                },
                setUserID: function(a) {
                    try {
                        n ? c.logMessage(e, "UserID has already been assigned") : a && (n = c.asString(a), o())
                    } catch (b) {
                        c.log(e, "failed while calling setUserID")
                    }
                },
                trackFeature: function(a) {
                    try {
                        d ? (l.addFeatureUsage(a), o()) : c.log(e, "Monitor is not started")
                    } catch (b) {
                        c.log(e, "failed while calling trackFeature")
                    }
                },
                trackException: function(a, b) {
                    try {
                        d && (l.addException(a, b), o())
                    } catch (f) {
                        c.log(e,
                            "failed while calling trackException")
                    }
                },
                trackFeatureValue: function(a, b) {
                    try {
                        d && (l.addFeatureValue(a, b), o())
                    } catch (f) {
                        c.log(e, "failed while calling trackFeatureValue")
                    }
                },
                trackFeatureStart: function(a) {
                    try {
                        d && l.startFeatureTiming(a)
                    } catch (b) {
                        c.log(e, "failed while calling trackFeatureStart")
                    }
                },
                trackFeatureStop: function(a) {
                    try {
                        d && (l.endFeatureTiming(a), o())
                    } catch (b) {
                        c.log(e, "failed while calling trackFeatureStop")
                    }
                },
                trackFeatureCancel: function(a) {
                    try {
                        d && l.cancelFeatureTiming(a)
                    } catch (b) {
                        c.log(e, "failed while calling trackFeatureCancel")
                    }
                },
                status: function() {
                    return {
                        payloads: g,
                        isStarted: d,
                        isDisabled: p
                    }
                }
            };
        m._eqatecDebug && (b.statisticsContainer = l);
        return b
    };
    n.createSettings = function(b) {
        return {
            productId: b,
            serverUri: "",
            loggingInterface: void 0,
            version: "0.0.0.0",
            useCookies: !0,
            location: {
                latitude: "",
                longitude: ""
            }
        }
    };
    n.createTraceLogger = function() {
        var b = function(a, b) {
            console && (console.log && c.isFunction(console.log) && b) && console.log(a + b)
        };
        return {
            logMessage: function(a) {
                b("", a)
            },
            logError: function(a) {
                b("Error: ", a)
            }
        }
    };
    m._eqatecDebug && (n.eqatecUtil =
        c)
})(window);
