function iMessageHandler() 
{
  // Waiting msg
  this.attesa_risposta = { };
  this.esito_attesa_risposta = { };
	
  // Firma
  this.OnEngineStop = function() { };
  this.OnGpsStreetName = function($data) { };
  this.OnLastGpsPostion = function($data) { };
  this.OnGpsError = function($data) { };
  this.OnErrorSocket = function($data) { };
  this.OnDebugMsg = function($data) { };
  this.OnElencoPiazzole = function($data) { };
  this.OnUpdateFlotta = function($data) { };
  this.OnUpdatePosizioneVeicolo = function($data) { };
  this.OnMapClosed = function($data) { };
  this.OnReceiveSocket = function($data) { };
  this.OnRxBytes = function($data) { };
  this.OnTxBytes = function($data) { };
  this.OnUpdateMapPosition = function($data) { };
  this.OnDeviceToken = function($data) { };
  this.OnOAuth = function($data) { };
  this.OnPushMessage = function($data) { };  
  this.OnGpsEnabled = function($data) { };
  this.OnCollectInfo = function($data) { };
  this.OnCheckNotifichePush = function($data) { };  
  this.OnException = function($err) { };   
  this.OnSystemEvent = function($data) { };
  this.GetError = function(key) { };
  this.OnWriteToLog = function($data) { };
  
  // Concreta
  this.OnPayPalSuccess = function($data) 
  { 
	  this.OnPayPal($.paypal.paymentResult.SUCCESS, $data);
  };
  this.OnPayPalFailed = function($data) 
  { 
	  this.OnPayPal($.paypal.paymentResult.FAILED, $data);
  };
  this.OnPayPalCancelled = function($data) 
  { 
	  this.OnPayPal($.paypal.paymentResult.CANCELLED, $data);
  };
  this.OnPayPal = function($action, $data)
  {
	  if ($.callbacks.paypal_callback !== null)
	  {
		  $.callbacks.paypal_callback($action, $data);
	  }
  };  
  
  // Gestione timeout ricezione messaggi
  this.Esito_in_attesa_di_risposta = function($tipo)
  {
  	if ($tipo in this.esito_attesa_risposta)
  	{
  		var $chiave = this.esito_attesa_risposta[$tipo];
  		if ($chiave in this.attesa_risposta)
  		{
  			this.Clear_attesa_di_risposta($chiave);
  		}						
  	}
  };
  
  this.Clear_attesa_di_risposta = function($tipo)
  {	  	 
  	if (this.attesa_risposta[$tipo].watch !== null)
  	{				
  		clearTimeout(this.attesa_risposta[$tipo].watch);
  		
  		this.attesa_risposta[$tipo].watch = null;
  	}
  };
  
  this.In_attesa_di_risposta = function($tipo, $id)
  {	  				  
  	if ($tipo in this.attesa_risposta)
  	{			
  		var $myTipo = $tipo;
  		var $myId = $id;  		  	
  		
        if (this.attesa_risposta[$tipo].watch === null)
  		{
  			this.attesa_risposta[$tipo].watch = setTimeout(this.LoadError($myTipo, $myId, this), 10000);
  		}
  	}
  };
  
  this.LoadError = function($myTipo, $myId, $me)
  {
	  var getError = this.GetError;
	  return function()
	  {				  		  
		  if ($.callbacks.invio_msg_fallito_callback !== null)
		  {						 
			  if ($myTipo in $me.attesa_risposta)
			  {
				  $.callbacks.invio_msg_fallito_callback(getError($myTipo), $myId);
			  }					
		  }
		  $me.Clear_attesa_di_risposta($myTipo);
	  };
  };
}