function RxMsg($msg)
{
	this.msg = $msg;		
}

RxMsg.prototype.Duplicated = function($lastId)
{
	return ($lastId == this.msg.id);
};

RxMsg.prototype.ProtocolMismatch = function($protocolApp)
{
	if ('ver' in this.msg)
	{
		return ($protocolApp < this.msg.ver); 
	}
	return false;
};

RxMsg.prototype.SystemError = function()
{
	if (this.HasError())
	{
		return (this.msg.errore.tipo == RxMsg.ERRORE_DI_SISTEMA);
	}
	return false;
};

RxMsg.prototype.ApplicationError = function()
{
	if (this.HasError())
	{
		return (this.msg.errore.tipo == RxMsg.ERRORE_APPLICATIVO);
	}
	return false;
};

RxMsg.prototype.HasError = function()
{
	if ('errore' in this.msg && this.msg.errore !== '')
	{
		return true;
	}
	return false;
};

RxMsg.prototype.HasDescriptionError = function()
{
	if (this.HasError() && this.msg.errore.descrizione != '')
	{
		return true;
	}
	return false;
};

RxMsg.ERRORE_DI_SISTEMA = 1;
RxMsg.ERRORE_APPLICATIVO = 0;