var GoogleMap = (function() 
{
	var context = {};
	
	var ready = false;
	
	context.isReady = function() 
	{
		if (ready)
		{
			if (typeof google != 'undefined' && typeof google.maps === 'object' && $.isFunction($.fn.gmap))
			{
				return true;
			}
		}
		return false;
	};
	
	context.initialize = function()
	{			
		var script = document.createElement('script');
	    script.type = 'text/javascript';
	    script.src = 'js/microtek/map/jquery.ui.map.full.min.js';
	    document.body.appendChild(script);
	    
	    script = document.createElement('script');
	    script.type = 'text/javascript';
	    script.src = 'js/microtek/map/markerclusterer_compiled.js';
	    document.body.appendChild(script);       
	    
	    ready = true;
	};		
	
	context.load = function(lang, key)
	{	
		var script = document.createElement('script');
	    script.type = 'text/javascript';
	    script.src = "https://maps.googleapis.com/maps/api/js?v=3&key=" + key + "&libraries=places&language=" + lang +
	      '&callback=GoogleMap.initialize';
	    document.body.appendChild(script);
	};
	
	return context;
	
})();
