var Alert = (function(_title) 
{
	var context = {};
	
	var title = _title;
	
	context.title = function(t)
	{
		title = t;
	};
	
	context.full = function(content, callback, title, button) 
	{
		if ('notification' in navigator && 'alert' in navigator.notification)
		{
			navigator.notification.alert(content, callback, title, button);
		}
		else
		{
			alert(content);
			if (callback !== null)
			{
				callback();
			}
		}	  
	};
	
	context.simple = function(content, title, button)
	{	
	   this.full(content, null, title, button); 
	};
	
	context.show = function(content)
	{
		this.simple(content, title, 'Ok');
	};
	
	return context;	
	
})('App');