function Audio() 
{
	if (window === this) 
	{
		return new Audio();
	}
	
	return this;
}

Audio.play = function(sound)
{	
	try
	{
		if (Agent.isAndroid())
		{
			sound = '/android_asset/www/' + sound;
		}
		
		if (Audio.media !== null)
		{
			Audio.media.stop();
			Audio.media.release();
		}
		
		Audio.media = new Media(sound, function() { Debug.Log("Audio success."); }, function(err) { Debug.Log("Audio error [" + err.code + "][" + err.message + "]"); });		
		Audio.media.play({ playAudioWhenScreenIsLocked : false });		
		Audio.media.setVolume('1.0');
	}
	catch(err)
	{
		Debug.SystemLog(err);
	}	
};

Audio.vibrate = function($ms)
{	
   if ('notification' in navigator && 'vibrate' in navigator.notification)
   {
		 navigator.notification.vibrate($ms);
   }
};

Audio.media = null;