cordova.define("mtk-plugin-satispay.mtksatispay", function(require, exports, module) {

var exec = require('cordova/exec');

// Costruttore
function Satispay() {}

// production: false se in debug, true in production
Satispay.prototype.isAvailable = function(production, callback) {
    exec(function(result) {
        callback(result);
    },
    function(error) {
        callback(false, error);
    },
    "SatispayPlugin",
    "isAvailable",
    [production]);
}

Satispay.prototype.open = function(production, token, callback) {
    exec(function(result) {
        callback(result);
    },
    function(error) {
        callback(false, error);
    },
    "SatispayPlugin",
    "open",
    [production, token]);
}

module.exports = new Satispay();
});
