var servicesModule = angular.module('myApp.services');

servicesModule.service('paymentOnGoWarning', function ($ionicModal, appConfig) {

    var modalPage = null;

    var getTitle = function() {
        var title = appConfig.IMAGE_BASE_URL + 'logo-apptaxi-pay.svg';
        return title;
    };

    this.create = function(scope) {

        if(modalPage) {
            return;
        }

        $ionicModal.fromTemplateUrl('templates/payment-on-go-warning/payment-on-go-warning.html', {
            scope: scope
        }).then(function (modal) {

            modalPage = modal;
            modalPage.messageOnAffiliatedCab = "Da oggi con appTaxi puoi pagare un taxi affiliato...";
            modalPage.messageOnFunctionActivation = "Attivare la funzione è semplice...";
            modalPage.getTitle = getTitle;

            // POG = payment on go
            scope.modalPOGWarning = modalPage;
        });

        scope.$on('$destroy', function() {
            modalPage.remove();
            modalPage = null;
        });
    };

    this.show = function() {
        modalPage.show();
    };

});